
CoCoALib - Bug #1101

Bug in MinPolyModular (insufficient rational reconstruction)

11 Sep 2017 19:10 - Anna Maria Bigatti

Status: Closed Start date: 11 Sep 2017

Priority: High Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: Maths Bugs Estimated time: 3.00 hours

Target version: CoCoALib-0.99560 Spent time: 2.20 hours

Description

Rational reconstruction succeeds "too early"

/**/ L:=[3*x^3*y +3*y*z^3 +1,  2*x*y*z^2 +3*x,  2*y^3*z +1];

/**/ I := ideal(L);

/**/ mp := MinPolyQuot(x, I, x);

/**/ mp isin I;

false

/**/ mp;

x^16 +(15/2)*x^10 +(45/4)*x^4 +(-1/2028)*x

Related issues:

Related to CoCoA-5 - Bug #1100: PrimaryDecomposition0: says not 0-dim but IsZ... Closed 11 Sep 2017

Related to CoCoALib - Slug #1165: MinPoly over QQ: verification may be very slow Closed 12 Mar 2018

History

#1 - 11 Sep 2017 19:11 - Anna Maria Bigatti

- Project changed from CoCoA-5 to CoCoALib

- Category changed from enhancing/improving to Maths Bugs

- Target version changed from CoCoA-5.2.2 to CoCoALib-0.99560

- % Done changed from 0 to 20

Adding Horner evaluation to check minpoly correct reconstruction.

#2 - 11 Sep 2017 19:12 - Anna Maria Bigatti

- Related to Bug #1100: PrimaryDecomposition0: says not 0-dim but IsZeroDim says ideal is zero-dim! added

#3 - 11 Sep 2017 19:16 - Anna Maria Bigatti

- Status changed from New to Resolved

- Priority changed from Normal to High

- % Done changed from 20 to 70

- Estimated time set to 3.00 h

Fixed.  I implemented a Horner evaluation in MinPoly.C which may be improved, and maybe moved into some other file (and also exported to cocoa5,

so we can delete it from PrimaryDecomposition0.cpkg5).

/**/ L:=[3*x^3*y +3*y*z^3 +1,  2*x*y*z^2 +3*x,  2*y^3*z +1];

/**/ I := ideal(L);

/**/ mp := MinPolyQuot(x, I, x);

/**/ mp isin I;

/**/ /**/ /**/ true

/**/ mp;

x^16 +(15/2)*x^10 +(45/4)*x^4 +(1594195/5184)*x
#4 - 12 Sep 2017 12:23 - John Abbott

Here are some more examples which the computer found during the night:

[3*x*y*z^3 +z^2 +1,  3*y^3*z +z^2,  2*x*y^2*z^2 +3*x*y*z^2]

[x^2*y^2 +3*y^3*z +1,  x*y*z^2 +x*y^2,  2*y^3 +3]

#5 - 12 Sep 2017 17:03 - John Abbott

JAA has added test-MinPoly1.C including the 3 examples listed here.

Checking in now.

#6 - 06 Nov 2017 15:06 - John Abbott

- Status changed from Resolved to Feedback

- % Done changed from 70 to 90

#7 - 15 Dec 2017 16:42 - John Abbott

- Status changed from Feedback to Closed

- % Done changed from 90 to 100

#8 - 16 Mar 2018 08:58 - Anna Maria Bigatti

- Related to Slug #1165: MinPoly over QQ: verification may be very slow added
